Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122222 - Review Request: nodejs-file-uri-to-path - Convert a file: URI to a file path
Summary: Review Request: nodejs-file-uri-to-path - Convert a file: URI to a file path
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1122224
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:04 UTC by Ralph Bean
Modified: 2014-08-15 02:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 19:07:41 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:04:41 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-file-uri-to-path.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-file-uri-to-path-0.0.2-1.fc20.src.rpm

Description:
Accepts a file: URI and returns a regular file path suitable for use with the
fs module functions.

Comment 1 Parag AN(पराग) 2014-07-23 09:31:02 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-file-uri-to-path.noarch: W: spelling-error %description -l en_US fs -> sf, gs, fa
nodejs-file-uri-to-path.noarch: W: only-non-binary-in-usr-lib
nodejs-file-uri-to-path.noarch: W: no-documentation
nodejs-file-uri-to-path.src: W: spelling-error %description -l en_US fs -> sf, gs, fa
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :7f92e96b479120d9616dbf62e1aee28753bf7d3b78140b8b41cf40ce968fd060
upstream tarball :
7f92e96b479120d9616dbf62e1aee28753bf7d3b78140b8b41cf40ce968fd060

+ License "MIT" is valid 

- License test is NOT included.

+ rest looks following packaging guidelines.

Suggestions:
1) Ask upstream to include license text either in source file or its own text file.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 13:58:35 UTC
New Package SCM Request
=======================
Package Name: nodejs-file-uri-to-path
Short Description: Convert a file: URI to a file path
Upstream URL: https://npmjs.org/package/file-uri-to-path
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Ralph Bean 2014-07-23 13:58:48 UTC
Requested license full text here:  https://github.com/TooTallNate/file-uri-to-path/issues/1

Comment 4 Gwyn Ciesla 2014-07-23 16:40:05 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-07-23 19:06:25 UTC
nodejs-file-uri-to-path-0.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-file-uri-to-path-0.0.2-1.fc20

Comment 6 Fedora Update System 2014-07-23 19:06:35 UTC
nodejs-file-uri-to-path-0.0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-file-uri-to-path-0.0.2-1.fc19

Comment 7 Ralph Bean 2014-07-23 19:07:41 UTC
Buildroot overrides have been created.

Comment 8 Fedora Update System 2014-08-15 02:41:43 UTC
nodejs-file-uri-to-path-0.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2014-08-15 02:50:34 UTC
nodejs-file-uri-to-path-0.0.2-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.